const express = require('express')
const app = express()

app.use((req, res, next) => {
	console.log(`przetwarzanie żądania dla ${req.url}....`)
	next()
})

app.use((req, res, next) => {
	console.log('finalizowanie żądania')
  res.send('dziękujemy za zabawę!')
  // zauważmy, że NIE wywołujemy tutaj funkcji next(), a zatem przetwarzanie żądania się kończy
})

app.use((req, res, next) => {
	console.log(`ups, nigdy mnie nie wywołano!`)
})

const port = process.env.PORT || 3000
app.listen(port, () => console.log( `Express został uruchomiony pod adresem http://localhost:${port}` +
  '; naciśnij Ctrl-C, aby zakończyć.'))
